Security Enhanced Linux Reference Policy

# Layer: services

## Module: rpc

Tunables Interfaces Templates

### Description:

Remote Procedure Call Daemon.

### Tunables:

allow_gssd_read_tmp

##### Default value

false

##### Description

Determine whether gssd can read generic user temporary content.

allow_gssd_write_tmp

##### Default value

false

##### Description

Determine whether gssd can write generic user temporary content.

allow_nfsd_anon_write

##### Default value

false

##### Description

Determine whether nfs can modify public files used for public file transfer services. Directories/Files must be labeled public_content_rw_t.

Return

### Interfaces:

rpc_admin( domain , role )

##### Summary

All of the rules required to administrate an rpc environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

rpc_domtrans_nfsd( domain )

##### Summary

Execute nfsd in the nfsd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rpc_domtrans_rpcd( domain )

##### Summary

Execute rpcd in the rpcd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rpc_dontaudit_getattr_exports( domain )

##### Summary

Do not audit attempts to get attributes of export files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

rpc_initrc_domtrans_nfsd( domain )

##### Summary

Execute nfsd init scripts in the initrc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rpc_initrc_domtrans_rpcd( domain )

##### Summary

Execute rpcd init scripts in the initrc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rpc_manage_nfs_ro_content( domain )

##### Summary

Create, read, write, and delete nfs exported read only content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpc_manage_nfs_rw_content( domain )

##### Summary

Create, read, write, and delete nfs exported read write content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpc_manage_nfs_state_data( domain )

##### Summary

Create, read, write, and delete nfs lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpc_read_exports( domain )

##### Summary

Read export files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpc_read_nfs_content( domain )

##### Summary

Read nfs exported content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpc_read_nfs_state_data( domain )

##### Summary

Read nfs lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpc_search_nfs_state_data( domain )

##### Summary

Search nfs lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpc_stub( domain )

##### Summary

RPC stub interface. No access allowed.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpc_tcp_rw_nfs_sockets( domain )

##### Summary

Read and write to nfsd tcp sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpc_udp_rw_nfs_sockets( domain )

##### Summary

Read and write to nfsd udp sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpc_write_exports( domain )

##### Summary

Write export files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

rpc_domain_template( domain_prefix )

##### Summary

The template to define a rpc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain_prefix | Domain prefix to be used.

Return